encode_strategy.h File Reference

Declares frame encoding functions. More...

`#include <stdint.h>`
`#include "aom/aom_encoder.h"`
`#include "av1/encoder/encoder.h"`
`#include "av1/encoder/firstpass.h"`

Go to the source code of this file.

## Functions

int | av1_encode_strategy (AV1_COMP *const cpi, size_t *const size, uint8_t *const dest, size_t dest_size, unsigned int *frame_flags, int64_t *const time_stamp, int64_t *const time_end, const aom_rational64_t *const timestamp_ratio, int *const pop_lookahead, int flush)
| Implement high-level encode strategy.

## Detailed Description

Declares frame encoding functions.